<!doctype html>
<html lang="en">

<head>
    <script src="https://kit.fontawesome.com/5cbb27fb73.js" crossorigin="anonymous"></script>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Crud Youtube</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
</head>

<body>
    <div class='container'>
        <h3>Lista de Cadastros de Funcionários</h3>
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Nome</th>
                    <th scope="col">Cracha</th>
                    <th scope="col">Telefone</th>
                    <th scope="col">E-mail</th>
                    <th scope="col">Ações</th>

                </tr>
            </thead>
            <tbody>

                <?php
                    include 'conexao.php';

                    $conexao = new Conexao();
                    $pdo = $conexao->conectar();

                    $sql = "SELECT * FROM funcionarios";
                    $stmt = $pdo->query($sql); //mysqli_query

                    while($row = $stmt->fetch()) {
                      $id = $row['id'];
                ?>
                <tr>
                    <!-- os nomes usados, são atributos do banco de dados -->
                    <td><?php echo $id ?></td>
                    <td><?php echo $row['nome'] ?></td>
                    <td><?php echo $row['cracha'] ?></td>
                    <td><?php echo $row['telefone'] ?></td>
                    <td><?php echo $row['email'] ?></td>
                    <td>
                    <td>
                        <a href='editar.php?id=<?php echo $id ?>' class='btn btn-warning btn-sm'>
                            <i class="fa-solid fa-pen"></i>
                        </a>
                        <button class='btn btn-danger btn-sm' data-bs-toggle="modal" data-bs-target="#confirmDeleteModal" data-id="<?php echo $id; ?>">
                            <i class="fa-solid fa-trash"></i>
                        </button>
                    </td>
                    <div class="modal fade" id="confirmDeleteModal" tabindex="-1" aria-labelledby="confirmDeleteLabel" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h1 class="modal-title fs-5" id="confirmDeleteLabel">Confirmação de Exclusão</h1>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    Tem certeza de que deseja excluir este registro?
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                                    <a id="confirmDeleteButton" class="btn btn-danger">Excluir</a>
                                </div>
                            </div>
                        </div>
                    </div>


                    </td>

                </tr>
                <?php } ?>
            </tbody>
        </table>
        <div style="text-align: right">
            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
                Cadastrar Funcionário
            </button>
        </div>
        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h1 class="modal-title fs-5" id="exampleModalLabel">Formulário de Cadastro</h1>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <form action="cadastrar.php" method="post">
                            <div class="mb-3">
                                <label for="exampleInputEmail1" class="form-label">Nome</label>
                                <input type="text" class="form-control" id="exampleInputEmail1" name="nome" aria-describedby="emailHelp">
                            </div>
                            <div class="mb-3">
                                <label for="exampleInputPassword1" class="form-label">Cracha</label>
                                <input type="text" class="form-control" name="cracha" id="exampleInputPassword1">
                            </div>
                            <div class="mb-3">
                                <label for="exampleInputPassword1" class="form-label">Telefone</label>
                                <input type="text" class="form-control" name="telefone" id="exampleInputPassword1">
                            </div>
                            <div class="mb-3">
                                <label for="exampleInputPassword1" class="form-label">E-mail</label>
                                <input type="email" class="form-control" name="email" id="exampleInputPassword1">
                            </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fechar</button>
                        <button type="submit" class="btn btn-primary">Cadastrar</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>
</body>

</html>
<script>
    document.addEventListener('DOMContentLoaded', function() {
        const confirmDeleteModal = document.getElementById('confirmDeleteModal');
        const confirmDeleteButton = document.getElementById('confirmDeleteButton');

        confirmDeleteModal.addEventListener('show.bs.modal', function(event) {
            const button = event.relatedTarget; // Botão que acionou o modal
            const id = button.getAttribute('data-id'); // Obtém o ID do registro
            confirmDeleteButton.href = `excluir.php?id=${id}`; // Atualiza o link de exclusão
        });
    });
</script>